# Class JSR223Assertion

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.ScriptingTestElement
org.apache.jmeter.util.JSR223TestElement
org.apache.jmeter.assertions.JSR223Assertion

All Implemented Interfaces:
  `Serializable, Cloneable, Assertion, Searchable, TestBean, TestElement, TestStateListener`

public class JSR223Assertion extends JSR223TestElement implements Cloneable, Assertion, TestBean

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class ScriptingTestElement

`scriptLanguage`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`JSR223Assertion()`

## Method Summary

Modifier and Type
Method
Description
`AssertionResult`
`getResult(SampleResult response)`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

### Methods inherited from class JSR223TestElement

`getCacheKey, getInstance, getScriptEngine, getScriptLanguage, populateBindings, processFileOrScript, setCacheKey, setScriptLanguage, testEnded, testEnded, testStarted, testStarted`

### Methods inherited from class ScriptingTestElement

`getFilename, getParameters, getScript, setFilename, setParameters, setScript`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSR223Assertion

public JSR223Assertion()

## Method Details

### getResult

public AssertionResult getResult(SampleResult response)
Description copied from interface: `Assertion`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

Specified by:
  `getResult` in interface `Assertion`
Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.